Bondery Docs
API reference_generatedcontacts/map-address-pins

/contacts/map-address-pins

GET
/contacts/map-address-pins

Fetch address-level map pins within a bounding box (one pin per address).

Authorization

AuthorizationBearer <token>

Better Auth session access token (OAuth 2.1) from the webapp or mobile app. Send as Authorization: Bearer <access_token>.

In: header

Query Parameters

avatarQuality?string

Value in

  • "low"
  • "medium"
  • "high"
avatarSize?string

Value in

  • "small"
  • "medium"
  • "large"
limit?integer
Range1 <= value <= 1000
Default500
maxLat*number
Range-90 <= value <= 90
maxLon*number
Range-180 <= value <= 180
minLat*number
Range-90 <= value <= 90
minLon*number
Range-180 <= value <= 180

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts/map-address-pins?maxLat=-90&maxLon=-180&minLat=-90&minLon=-180"
{  "pins": [    {      "addressCity": "London",      "addressCountry": "United Kingdom",      "addressFormatted": "London, UK",      "addressId": "addr-1",      "addressType": "home",      "avatar": null,      "firstName": "Ada",      "lastName": "Lovelace",      "latitude": 51.5074,      "longitude": -0.1278,      "personId": "550e8400-e29b-41d4-a716-446655440000"    }  ]}